System stuck in reboot loop on AMD EPYC 7542 32-Core Processor

Bug #1853614 reported by Stefan Kooman on 2019-11-22
34
This bug affects 4 people
Affects Status Importance Assigned to Milestone
amd64-microcode (Ubuntu)
Undecided
Ubuntu Security Team

Bug Description

After installing latest microcode update: version 3.20191021.1ubuntu0.18.04.2, the system is stuck in a reboot loop. De-installing the amd64-microcode package fixes the issue.

CPU details
vendor_id : AuthenticAMD
cpu family : 23
model : 49
model name : AMD EPYC 7542 32-Core Processor
stepping : 0
microcode : 0x830101c <- 3.20180524.1ubuntu1 version is the newest one known to work

Bryan Hill (bryandhill) wrote :

I am seeing this too on an AMD EPYC 7352 24-Core processor. Removing amd64-microcode 3.20191021.1ubuntu0.18.04.2 fixed the cyclic reboot issue.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in amd64-microcode (Ubuntu):
status: New → Confirmed
tags: added: regression-update
Juul Spies (juul) wrote :

I had the same problem on three servers running with an AMD EPYC 7402P 24-Core Processor.

After removing the amd64-microcode 3.20191021.1ubuntu0.18.04.2 package the servers did not end up in a reboot loop anymore and were able to boot.

Alex Murray (alexmurray) on 2019-11-26
Changed in amd64-microcode (Ubuntu):
assignee: nobody → Ubuntu Security Team (ubuntu-security)
Alex Murray (alexmurray) wrote :

All the comments on this bug mention removing the amd64-microcode package - so it is not clear to me if this worked previously with the older version of amd64-microcode. The security team has prepared updates which revert this to the older version - can anyone who is affected by this please try installing the amd64-microcode package from the ubuntu-security-proposed PPA - https://launchpad.net/~ubuntu-security-proposed/+archive/ubuntu/ppa/+packages - so we can understand if this fixes the issue?

Juul Spies (juul) wrote :

I can confirm there are no issues when booting with the package from the ubuntu-security-proposed PPA.

amd64-microcode:
  Installed: 3.20191021.1+really3.20181128.1~ubuntu0.18.04.1
  Candidate: 3.20191021.1+really3.20181128.1~ubuntu0.18.04.1
  Version table:
 *** 3.20191021.1+really3.20181128.1~ubuntu0.18.04.1 500
        500 http://ppa.launchpad.net/ubuntu-security-proposed/ppa/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

/proc/cpuinfo:
vendor_id : AuthenticAMD
cpu family : 23
model : 49
model name : AMD EPYC 7402P 24-Core Processor
stepping : 0
microcode : 0x830101c

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amd64-microcode - 3.20191021.1+really3.20181128.1ubuntu2

---------------
amd64-microcode (3.20191021.1+really3.20181128.1ubuntu2) eoan-security; urgency=medium

  * Revert to 3.20181128.1 version of microcode because of regressions on
    certain hardware. (LP: #1853614)

 -- Marc Deslauriers <email address hidden> Mon, 25 Nov 2019 14:47:25 -0500

Changed in amd64-microcode (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amd64-microcode - 3.20191021.1+really3.20180524.1~ubuntu0.16.04.2

---------------
amd64-microcode (3.20191021.1+really3.20180524.1~ubuntu0.16.04.2) xenial-security; urgency=medium

  * Revert to 3.20180524.1 version of microcode because of regressions on
    certain hardware. (LP: #1853614)

 -- Marc Deslauriers <email address hidden> Mon, 25 Nov 2019 14:55:10 -0500

Changed in amd64-microcode (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amd64-microcode - 3.20191021.1+really3.20181128.1~ubuntu0.18.04.1

---------------
amd64-microcode (3.20191021.1+really3.20181128.1~ubuntu0.18.04.1) bionic-security; urgency=medium

  * Revert to 3.20181128.1 version of microcode because of regressions on
    certain hardware. (LP: #1853614)

 -- Marc Deslauriers <email address hidden> Mon, 25 Nov 2019 14:52:06 -0500

Changed in amd64-microcode (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers